# Interface AbstractPage

#### Hierarchy

- AbstractPage

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:6

#####
Index

### Properties

connected_objects
id?
layout
min_role
name

### Methods

getTags

## Properties

### connected_objects

connected_objects: (() => ConnectedObjects)

#### Type declaration

- - (): ConnectedObjects

  - #### Returns ConnectedObjects

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:11

### `Optional` id

id?: number

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:7

### layout

layout: Layout

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:9

### min_role

min_role: number

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:10

### name

name: string

- Defined in saltcorn-types/model-abstracts/abstract_page.ts:8

## Methods

### getTags

- getTags(): Promise<AbstractTag[]>

- #### Returns Promise<AbstractTag[]>

  - Defined in saltcorn-types/model-abstracts/abstract_page.ts:12

Generated using TypeDoc